/****************************************
Este escript é parte do exemplo da API de SEFAZ da L2MAKER.com.br
Acsse https://www.l2maker.com.br/ para adquirir uma licença de uso.
****************************************//
CREATE TABLE l2s_doc_download
(
    doc_codigo serial PRIMARY KEY NOT NULL,
    config_codigo integer NOT NULL,
    doc_chave character varying(60) NOT NULL,
    xml_resumido text,
    xml_completo text,
    emissor_nome character varying(80),
    emissor_doc character varying(14) NOT NULL,
    valor numeric(11,2) NOT NULL,
    situacao character(1) NOT NULL,
    tipo character(1) NOT NULL,
    dh_emissao timestamp without time zone NOT NULL,
    dh_recebimento timestamp without time zone,
    CONSTRAINT l2s_doc_download_doc_chave_key UNIQUE (doc_chave)
);


CREATE TABLE l2s_sefaz_configuracao
(
    config_codigo serial NOT NULL PRIMARY KEY,
    certificado_tipo character varying(6) NOT NULL,
    certificado_caminho character varying(200) NOT NULL,
    certificado_senha character varying(80),
    uf character(20) NOT NULL,
    producao character(1) NOT NULL DEFAULT 'N',
    ultimo_nsu integer NOT NULL DEFAULT 0
);


/* https://www.l2maker.com.br/ */